#!/usr/bin/env python

import yaml
import math
import numpy as np

if __name__ == "__main__":
	nx = 31
	ny = 11
	w = 10.0
	h = w * 0.5

	ps = []
	idxs = []

	for iy in range(ny):
		y = w * ( iy / float(ny-1) - 0.5 )
		for ix in range(nx):
			x = w * ( ix / float(nx-1) - 0.5 )
			z = float( h * np.sinc( math.sqrt( x*x + y*y ) ) )
			ps.append( [x,y,z] )

	for i in range(ny):
		idxs.append( list( range(i*nx, (i+1)*nx) ) )

	eye_p = [ w*2, -w*5, w*3 ]
	eye_t = [ 0, 0, 0 ]

	d = { 'ps': ps, 'idxs': idxs, 'eye_p': eye_p, 'eye_t': eye_t }
	s = yaml.dump( d, default_flow_style=False )
	print(s)
# EOF
